# synfig::Target_Null Class Reference

A target which renders to nothing. Useful for benchmarks and other tests. More...

`#include <target_null.h>`

Inheritance diagram for synfig::Target_Null:

List of all members.

## Public Member Functions

| ~Target_Null ()
virtual bool | start_frame (ProgressCallback *=NULL)
| Marks the start of a frame.
virtual void | end_frame ()
| Marks the end of a frame.
virtual Color * | start_scanline (int)
| Marks the start of a scanline.
virtual bool | end_scanline ()
| Marks the end of a scanline.

## Static Public Member Functions

static Target * | create (const char *=0)

## Detailed Description

A target which renders to nothing. Useful for benchmarks and other tests.

Todo:
  writeme

## Constructor & Destructor Documentation

synfig::Target_Null::~Target_Null | ( |  | ) | `[inline]`

## Member Function Documentation

virtual bool synfig::Target_Null::start_frame | ( | ProgressCallback * | cb = `NULL` | ) | `[inline, virtual]`

Marks the start of a frame.

Returns:
  `true` on success, `false` upon an error.

See also:
  end_frame(), start_scanline()

Implements synfig::Target_Scanline.

References synfig::Target::desc, and synfig::RendDesc::get_w().

virtual void synfig::Target_Null::end_frame | ( |  | ) | `[inline, virtual]`

Marks the end of a frame.

See also:
  start_frame()

Implements synfig::Target_Scanline.

virtual Color* synfig::Target_Null::start_scanline | ( | int | scanline | ) | `[inline, virtual]`

Marks the start of a scanline.

Parameters:

  | scanline | Which scanline is going to be rendered.

Returns:
  The address where the target wants the scanline to be written.

Warning:
  Must be called after start_frame()

See also:
  end_scanline(), start_frame()

Implements synfig::Target_Scanline.

virtual bool synfig::Target_Null::end_scanline | ( |  | ) | `[inline, virtual]`

Marks the end of a scanline.

Takes the data that was put at the address returned to by start_scanline() and does whatever it is supposed to do with it.

Returns:
  `true` on success, `false` on failure.

See also:
  start_scanline()

Implements synfig::Target_Scanline.

static Target* synfig::Target_Null::create | ( | const char * | = `0` | ) | `[inline, static]`

Referenced by synfig::Target::subsys_init().

The documentation for this class was generated from the following file:

- target_null.h